package com.ss.android.ugc.aweme.ad.feed.shakeEgg;

import X.0Bt;
import X.1Bn;
import X.2Pr;
import X.J03;
import android.os.Bundle;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;

public final class ShakeEggVM extends 0Bt {
    public static final J03 LJIIZILJ = new J03((byte) 0);
    public final 1Bn<Aweme> LIZ = new 1Bn<>();
    public boolean LIZIZ;
    public boolean LIZJ;
    public Bundle LIZLLL = new Bundle();
    public String LJ;
    public boolean LJFF;
    public final 1Bn<String> LJI = new 1Bn<>();
    public final 1Bn<String> LJII = new 1Bn<>();
    public final 1Bn<2Pr> LJIIIIZZ = new 1Bn<>();
    public final 1Bn<Aweme> LJIIIZ = new 1Bn<>();
    public final 1Bn<2Pr> LJIIJ = new 1Bn<>();
    public final 1Bn<2Pr> LJIIJJI = new 1Bn<>();
    public final 1Bn<2Pr> LJIIL = new 1Bn<>();
    public final 1Bn<String> LJIILIIL = new 1Bn<>();
    public final 1Bn<String> LJIILJJIL = new 1Bn<>();
    public final 1Bn<String> LJIILL = new 1Bn<>();
    public final 1Bn<String> LJIILLIIL = new 1Bn<>();

    static {
        Covode.recordClassIndex(52745);
    }

    public final void LIZ() {
        String aid;
        Aweme aweme = (Aweme) this.LIZ.getValue();
        if (aweme != null && (aid = aweme.getAid()) != null) {
            this.LJIILIIL.setValue(aid);
        }
    }
}
